void main(void)
{
  gl_TexCoord[0] = gl_MultiTexCoord0;

  //directly write clipspace [after perspective transformation] position
  //in the range:  <+-1, +-1, 0, 1>
  gl_Position = vec4(gl_MultiTexCoord0.s*2.0-1.0, gl_MultiTexCoord0.t*2.0-1.0, 0.0, 1.0);
}

